> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-segment-and-feed-operations/feeds.md).

# Feeds

Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.

Relevant documentation:

* [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)
* [Feeds](https://userguides.mediarithmics.io/activation/feeds)

## GET /audience\_segments/{segment\_id}/external\_feeds

> Searches external feeds from a given audience segment

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/external_feeds":{"get":{"description":"","operationId":"getSegmentExternalFeeds","tags":["Feeds"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedResource"}},"count":{"type":"integer"},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Searches external feeds from a given audience segment","parameters":[{"name":"segment_id","in":"path","explode":false,"required":true,"schema":{"type":"integer","format":"int64"},"style":"simple"}]}}},"components":{"schemas":{"AudienceSegmentExternalFeedResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"is_from_clean_room":{"type":"boolean","default":false,"readOnly":true},"destination_audience_deletion_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"created_from":{"$ref":"#/components/schemas/AudienceSegmentFeedSourceType"},"scenario_id":{"type":"string","readOnly":false},"audience_segment_id":{"type":"string","readOnly":true},"artifact_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedStatus"},"reboot_period_in_days":{"type":"integer","format":"int32","default":0,"readOnly":false},"version_id":{"type":"string","readOnly":false},"group_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"plugin_preset_id":{"type":"string","readOnly":false}},"required":["artifact_id","audience_segment_id","created_from","group_id","id","is_from_clean_room","organisation_id","status","version_id"]},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"AudienceSegmentFeedSourceType":{"type":"string","enum":["SEGMENT","AUTOMATION"],"readOnly":false},"AudienceSegmentExternalFeedStatus":{"type":"string","enum":["INITIAL","PUBLISHED","ERROR","ACTIVE","PAUSED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments/{segment\_id}/external\_feeds

> Creates an external feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/external_feeds":{"post":{"parameters":[{"in":"path","style":"simple","required":true,"schema":{"type":"integer","format":"int64"},"explode":false,"name":"segment_id"}],"tags":["Feeds"],"summary":"Creates an external feed","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"External feed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedResource"}}},"required":true},"operationId":"createAudienceSegmentExternalFeed","description":""}}},"components":{"schemas":{"AudienceSegmentExternalFeedResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"is_from_clean_room":{"type":"boolean","default":false,"readOnly":true},"destination_audience_deletion_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"created_from":{"$ref":"#/components/schemas/AudienceSegmentFeedSourceType"},"scenario_id":{"type":"string","readOnly":false},"audience_segment_id":{"type":"string","readOnly":true},"artifact_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedStatus"},"reboot_period_in_days":{"type":"integer","format":"int32","default":0,"readOnly":false},"version_id":{"type":"string","readOnly":false},"group_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"plugin_preset_id":{"type":"string","readOnly":false}},"required":["artifact_id","audience_segment_id","created_from","group_id","id","is_from_clean_room","organisation_id","status","version_id"]},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"AudienceSegmentFeedSourceType":{"type":"string","enum":["SEGMENT","AUTOMATION"],"readOnly":false},"AudienceSegmentExternalFeedStatus":{"type":"string","enum":["INITIAL","PUBLISHED","ERROR","ACTIVE","PAUSED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments.external\_feeds/aggregates

> Aggregate data about Audience Segment External Feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments.external_feeds/aggregates":{"post":{"summary":"Aggregate data about Audience Segment External Feed","description":"","tags":["Feeds"],"requestBody":{"description":"the search criterias","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedAggregationRequest"}}},"required":true},"operationId":"getAudienceSegmentExternalFeedAggregate","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FeedAggregationResponse"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"FeedAggregationRequest":{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"metric":{"$ref":"#/components/schemas/FeedAggregationMetric"},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"order_by":{"$ref":"#/components/schemas/FeedAggregationOrderBy"},"secondary_dimension":{"$ref":"#/components/schemas/FeedAggregationDimension"},"primary_dimension":{"$ref":"#/components/schemas/FeedAggregationDimension"},"max_results":{"type":"integer","format":"int32","default":0,"readOnly":false}},"required":["metric","order_by","primary_dimension","secondary_dimension"]},"FeedAggregationMetric":{"type":"string","enum":["FEED_COUNT"],"readOnly":false},"FeedAggregationOrderBy":{"type":"object","properties":{"sort_value":{"$ref":"#/components/schemas/FeedAggregationSortValue"},"sort_order":{"$ref":"#/components/schemas/FeedAggregationSortOrder"}},"required":["sort_value"]},"FeedAggregationSortValue":{"type":"string","enum":["PRIMARY_DIMENSION","METRIC"],"readOnly":false},"FeedAggregationSortOrder":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"FeedAggregationDimension":{"type":"string","enum":["PLUGIN_VERSION_ID","STATUS","ORGANISATION_ID","PRESET_ID"],"readOnly":false},"FeedAggregationResponse":{"type":"object","properties":{"first_result":{"type":"integer","format":"int64","default":0,"readOnly":false},"secondary_dimension_metric_totals":{"type":"array","items":{"$ref":"#/components/schemas/FeedAggregationResponseMetricTotal"},"readOnly":false},"total":{"type":"integer","format":"int64","default":0,"readOnly":false},"rows":{"type":"array","items":{"$ref":"#/components/schemas/FeedAggregationResponseRow"},"readOnly":false},"count":{"type":"integer","format":"int64","default":0,"readOnly":false}},"required":["count","first_result","rows","secondary_dimension_metric_totals","total"]},"FeedAggregationResponseMetricTotal":{"type":"object","properties":{"secondary_dimension_value":{"$ref":"#/components/schemas/FeedAggregationResponseDimensionValue"},"metric_value_total":{"type":"string","readOnly":false}},"required":["metric_value_total","secondary_dimension_value"]},"FeedAggregationResponseDimensionValue":{"type":"object","properties":{"value":{"type":"string","readOnly":false},"display_label":{"type":"string","readOnly":false}},"required":["display_label","value"]},"FeedAggregationResponseRow":{"type":"object","properties":{"primary_dimension_value":{"$ref":"#/components/schemas/FeedAggregationResponseDimensionValue"},"cells":{"type":"array","items":{"$ref":"#/components/schemas/FeedAggregationResponseCell"},"readOnly":false},"metric_value_total":{"type":"string","readOnly":false}},"required":["cells","metric_value_total","primary_dimension_value"]},"FeedAggregationResponseCell":{"type":"object","properties":{"secondary_dimension_value":{"$ref":"#/components/schemas/FeedAggregationResponseDimensionValue"},"metric_value":{"type":"string","readOnly":false}},"required":["metric_value","secondary_dimension_value"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /external\_feed\_plugin\_versions/{plugin\_version\_id}/authentication

> Call /authentication on feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/external_feed_plugin_versions/{plugin_version_id}/authentication":{"post":{"description":"","parameters":[{"name":"plugin_version_id","required":true,"style":"simple","explode":false,"in":"path","schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"Params which will be used by the feed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalFeedAuthenticationRequestResource"}}},"required":true},"operationId":"authenticate","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ExternalFeedAuthenticationResponseResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Feeds"],"summary":"Call /authentication on feed"}}},"components":{"schemas":{"ExternalFeedAuthenticationRequestResource":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/Any"}}},"Any":{"type":"object"},"ExternalFeedAuthenticationResponseResource":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ExternalFeedAuthenticationStatus"}},"required":["status"]},"ExternalFeedAuthenticationStatus":{"type":"string","enum":["ok","error","not_implemented"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## Deletes the audience this feed manages on the destination platform

> The mediarithmics feed itself is not deleted. Requires a plugin version declaring destination audience deletion support, otherwise fails with DESTINATION\_AUDIENCE\_DELETION\_NOT\_SUPPORTED.<br>

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/external_feeds/{feed_id}/destination_audience":{"delete":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DestinationAudienceDeletionResponseResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"The mediarithmics feed itself is not deleted. Requires a plugin version declaring destination audience deletion support, otherwise fails with DESTINATION_AUDIENCE_DELETION_NOT_SUPPORTED.\n","summary":"Deletes the audience this feed manages on the destination platform","operationId":"deleteDestinationAudience","tags":["Feeds"],"parameters":[{"in":"path","name":"feed_id","explode":false,"style":"simple","required":true,"description":"The feed id","schema":{"type":"integer","format":"int64"}}]}}},"components":{"schemas":{"DestinationAudienceDeletionResponseResource":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/DestinationAudienceDeletionStatus"},"message":{"type":"string","readOnly":false},"destination_audience_deletion_ts":{"type":"integer","format":"int64","default":0,"readOnly":false}},"required":["status"]},"DestinationAudienceDeletionStatus":{"type":"string","enum":["ok","not_found","error","not_implemented"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments/{segment\_id}/tag\_feeds

> Finds all the tag feeds for the specified audience segment

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/tag_feeds":{"get":{"description":"","tags":["Feeds"],"operationId":"findTagFeeds","parameters":[{"name":"segment_id","description":"The segment to search into","schema":{"type":"integer","format":"int64"},"in":"path","required":true,"explode":false,"style":"simple"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentTagFeedInstanceResource"}},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Finds all the tag feeds for the specified audience segment"}}},"components":{"schemas":{"AudienceSegmentTagFeedInstanceResource":{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/AudienceSegmentTagFeedStatus"},"audience_segment_id":{"type":"string","readOnly":true},"group_id":{"type":"string","readOnly":false},"created_from":{"$ref":"#/components/schemas/AudienceSegmentFeedSourceType"},"scenario_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"plugin_preset_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"version_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["artifact_id","audience_segment_id","created_from","group_id","id","organisation_id","status","version_id"]},"AudienceSegmentTagFeedStatus":{"type":"string","enum":["ACTIVE","PAUSED"],"readOnly":false},"AudienceSegmentFeedSourceType":{"type":"string","enum":["SEGMENT","AUTOMATION"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments/{segment\_id}/tag\_feeds

> Creates a new tag feed for the specified audience segment

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/tag_feeds":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentTagFeedInstanceResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Creates a new tag feed for the specified audience segment","parameters":[{"description":"The segment to create the new tag feed into","name":"segment_id","style":"simple","explode":false,"required":true,"schema":{"type":"integer","format":"int64"},"in":"path"}],"requestBody":{"description":"Data of the tag feed to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AudienceSegmentTagFeedInstanceResource"}}},"required":true},"operationId":"createTagFeed","tags":["Feeds"],"description":""}}},"components":{"schemas":{"AudienceSegmentTagFeedInstanceResource":{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/AudienceSegmentTagFeedStatus"},"audience_segment_id":{"type":"string","readOnly":true},"group_id":{"type":"string","readOnly":false},"created_from":{"$ref":"#/components/schemas/AudienceSegmentFeedSourceType"},"scenario_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"plugin_preset_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"version_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["artifact_id","audience_segment_id","created_from","group_id","id","organisation_id","status","version_id"]},"AudienceSegmentTagFeedStatus":{"type":"string","enum":["ACTIVE","PAUSED"],"readOnly":false},"AudienceSegmentFeedSourceType":{"type":"string","enum":["SEGMENT","AUTOMATION"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments.external\_feeds

> Search every external feed match the filters given as query string

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments.external_feeds":{"get":{"tags":["Feeds"],"parameters":[{"description":"Id of a given community","style":"form","schema":{"type":"integer","format":"int64"},"name":"community_id","required":false,"explode":true,"in":"query"},{"required":false,"name":"organisation_id","in":"query","description":"List of organisation Ids we want to query","style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"explode":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"description":"List of audience segment Ids we want to query","name":"audience_segment_id","in":"query","required":false,"style":"form"},{"in":"query","description":"Status of the audience segments external feeds","name":"status","explode":true,"style":"form","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedStatus"}}},{"schema":{"type":"array","items":{"type":"string"}},"required":false,"name":"group_id","description":"Group Ids of the plugins we want to query","explode":true,"in":"query","style":"form"},{"in":"query","style":"form","schema":{"type":"array","items":{"type":"string"}},"explode":true,"required":false,"description":"Artifact Ids of the plugin we want to query","name":"artifact_id"},{"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"description":"Ids of the pluginVersions we want to query","style":"form","name":"version_id","required":false,"in":"query","explode":true},{"description":"source type of the audience segment tag feeds (SEGMENT or AUTOMATION)","style":"form","schema":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentFeedSourceType"}},"name":"created_from","in":"query","required":false,"explode":true},{"description":"scenario_id of the source scenarios of audience segment tag feeds","explode":true,"name":"scenario_id","required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}},"style":"form"},{"description":"value used for result ordering","in":"query","required":false,"schema":{"$ref":"#/components/schemas/FeedOrderBy"},"name":"order_by","style":"form","explode":true},{"style":"form","in":"query","schema":{"type":"boolean"},"explode":true,"required":false,"name":"administrated"},{"required":false,"in":"query","explode":true,"name":"first_result","style":"form","schema":{"type":"integer","format":"int32"},"description":"Offset from which the search must be performed"},{"explode":true,"description":"Number of maximum items that shall be return by this search","name":"max_results","in":"query","schema":{"type":"integer","format":"int32"},"style":"form","required":false}],"summary":"Search every external feed match the filters given as query string","operationId":"getAudienceSegmentExternalFeeds","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedResource"}},"total":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"AudienceSegmentExternalFeedStatus":{"type":"string","enum":["INITIAL","PUBLISHED","ERROR","ACTIVE","PAUSED"],"readOnly":false},"AudienceSegmentFeedSourceType":{"type":"string","enum":["SEGMENT","AUTOMATION"],"readOnly":false},"FeedOrderBy":{"type":"string","enum":["AUDIENCE_SEGMENT_NAME"],"readOnly":false},"AudienceSegmentExternalFeedResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"is_from_clean_room":{"type":"boolean","default":false,"readOnly":true},"destination_audience_deletion_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"created_from":{"$ref":"#/components/schemas/AudienceSegmentFeedSourceType"},"scenario_id":{"type":"string","readOnly":false},"audience_segment_id":{"type":"string","readOnly":true},"artifact_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedStatus"},"reboot_period_in_days":{"type":"integer","format":"int32","default":0,"readOnly":false},"version_id":{"type":"string","readOnly":false},"group_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"plugin_preset_id":{"type":"string","readOnly":false}},"required":["artifact_id","audience_segment_id","created_from","group_id","id","is_from_clean_room","organisation_id","status","version_id"]},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments.tag\_feeds/aggregates

> Aggregate data about Audience Segment Tag Feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments.tag_feeds/aggregates":{"post":{"requestBody":{"description":"the search criterias","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedAggregationRequest"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FeedAggregationResponse"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getAudienceSegmentTagFeedAggregate","tags":["Feeds"],"description":"","summary":"Aggregate data about Audience Segment Tag Feed"}}},"components":{"schemas":{"FeedAggregationRequest":{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"metric":{"$ref":"#/components/schemas/FeedAggregationMetric"},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"order_by":{"$ref":"#/components/schemas/FeedAggregationOrderBy"},"secondary_dimension":{"$ref":"#/components/schemas/FeedAggregationDimension"},"primary_dimension":{"$ref":"#/components/schemas/FeedAggregationDimension"},"max_results":{"type":"integer","format":"int32","default":0,"readOnly":false}},"required":["metric","order_by","primary_dimension","secondary_dimension"]},"FeedAggregationMetric":{"type":"string","enum":["FEED_COUNT"],"readOnly":false},"FeedAggregationOrderBy":{"type":"object","properties":{"sort_value":{"$ref":"#/components/schemas/FeedAggregationSortValue"},"sort_order":{"$ref":"#/components/schemas/FeedAggregationSortOrder"}},"required":["sort_value"]},"FeedAggregationSortValue":{"type":"string","enum":["PRIMARY_DIMENSION","METRIC"],"readOnly":false},"FeedAggregationSortOrder":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"FeedAggregationDimension":{"type":"string","enum":["PLUGIN_VERSION_ID","STATUS","ORGANISATION_ID","PRESET_ID"],"readOnly":false},"FeedAggregationResponse":{"type":"object","properties":{"first_result":{"type":"integer","format":"int64","default":0,"readOnly":false},"secondary_dimension_metric_totals":{"type":"array","items":{"$ref":"#/components/schemas/FeedAggregationResponseMetricTotal"},"readOnly":false},"total":{"type":"integer","format":"int64","default":0,"readOnly":false},"rows":{"type":"array","items":{"$ref":"#/components/schemas/FeedAggregationResponseRow"},"readOnly":false},"count":{"type":"integer","format":"int64","default":0,"readOnly":false}},"required":["count","first_result","rows","secondary_dimension_metric_totals","total"]},"FeedAggregationResponseMetricTotal":{"type":"object","properties":{"secondary_dimension_value":{"$ref":"#/components/schemas/FeedAggregationResponseDimensionValue"},"metric_value_total":{"type":"string","readOnly":false}},"required":["metric_value_total","secondary_dimension_value"]},"FeedAggregationResponseDimensionValue":{"type":"object","properties":{"value":{"type":"string","readOnly":false},"display_label":{"type":"string","readOnly":false}},"required":["display_label","value"]},"FeedAggregationResponseRow":{"type":"object","properties":{"primary_dimension_value":{"$ref":"#/components/schemas/FeedAggregationResponseDimensionValue"},"cells":{"type":"array","items":{"$ref":"#/components/schemas/FeedAggregationResponseCell"},"readOnly":false},"metric_value_total":{"type":"string","readOnly":false}},"required":["cells","metric_value_total","primary_dimension_value"]},"FeedAggregationResponseCell":{"type":"object","properties":{"secondary_dimension_value":{"$ref":"#/components/schemas/FeedAggregationResponseDimensionValue"},"metric_value":{"type":"string","readOnly":false}},"required":["metric_value","secondary_dimension_value"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments/{segment\_id}/external\_feeds/{feed\_id}/feed\_sessions

> Get feed sessions linked to a specific external feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/external_feeds/{feed_id}/feed_sessions":{"get":{"parameters":[{"explode":false,"required":true,"schema":{"type":"integer","format":"int64"},"name":"segment_id","in":"path","style":"simple"},{"schema":{"type":"integer","format":"int64"},"in":"path","explode":false,"required":true,"name":"feed_id","style":"simple"},{"description":"Searches for feed sessions that are in an open state","name":"open","in":"query","style":"form","schema":{"type":"boolean"},"required":false,"explode":true},{"name":"published","style":"form","description":"Searches for feed sessions that are in a published state","required":false,"in":"query","explode":true,"schema":{"type":"boolean"}},{"required":false,"in":"query","explode":true,"style":"form","schema":{"type":"integer","format":"int32"},"name":"first_result","description":"Offset from which the search must be performed"},{"explode":true,"schema":{"type":"integer","format":"int32"},"name":"max_results","in":"query","description":"Number of maximum items that shall be return by this search","required":false,"style":"form"}],"summary":"Get feed sessions linked to a specific external feed","description":"","tags":["Feeds"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedSessionPublicResource"}},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getAudienceSegmentExternalFeedSessions"}}},"components":{"schemas":{"AudienceSegmentExternalFeedSessionPublicResource":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/AudienceSegmentFeedSessionStatus"},"job_execution_id":{"type":"string","readOnly":true},"last_live_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"type":{"$ref":"#/components/schemas/AudienceSegmentFeedType"},"initial_loading_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":false},"external_feed_id":{"type":"string","readOnly":true},"last_batch_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"open_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"live_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"open":{"type":"boolean","default":false,"readOnly":true},"audience_segment_id":{"type":"string","readOnly":true},"sent_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"datamart_id":{"type":"string","readOnly":true}},"required":["audience_segment_id","datamart_id","external_feed_id","id","last_batch_ts","last_live_ts","open","open_date","status","type"]},"AudienceSegmentFeedSessionStatus":{"type":"string","enum":["INITIAL","BOOTING","INITIAL_LOADING","LIVE","CLOSING","CLOSED"],"readOnly":false},"AudienceSegmentFeedType":{"type":"string","enum":["BROAD_TARGETING","CAMPAIGN_ACTIVATION","SCENARIO_ACTIVATION","EXTERNAL","TAG"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments/{segment\_id}/external\_feeds/{feed\_id}/initial\_loadings

> Get external feed initial loadings

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/external_feeds/{feed_id}/initial_loadings":{"get":{"summary":"Get external feed initial loadings","parameters":[{"schema":{"type":"integer","format":"int64"},"explode":false,"in":"path","name":"segment_id","style":"simple","required":true},{"in":"path","required":true,"style":"simple","schema":{"type":"integer","format":"int64"},"explode":false,"name":"feed_id"},{"style":"form","required":false,"description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"name":"first_result","explode":true,"in":"query"},{"style":"form","schema":{"type":"integer","format":"int32"},"explode":true,"description":"Number of maximum items that shall be return by this search","name":"max_results","in":"query","required":false}],"operationId":"getAudienceSegmentExternalFeedInitialLoadings","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"first_result":{"type":"integer"},"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/NewPublicJobExecutionResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Feeds"]}}},"components":{"schemas":{"NewPublicJobExecutionResource":{"allOf":[{"$ref":"#/components/schemas/NewReadOnlyPublicJobExecutionResource"},{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"job_type":{"type":"string","readOnly":false},"num_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"community_id":{"type":"string","readOnly":true},"completed_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"max_retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"parameters":{"type":"string","readOnly":false},"result":{"type":"string","readOnly":false},"duration":{"$ref":"#/components/schemas/Duration"},"cancel_status":{"$ref":"#/components/schemas/CancelStatus"},"is_retryable":{"type":"boolean","default":false,"readOnly":false},"status":{"$ref":"#/components/schemas/JobExecutionPublicStatus"},"creation_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"user_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":false},"erroneous_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"permalink_uri":{"type":"string","readOnly":false},"debug":{"type":"string","readOnly":false},"external_name":{"type":"string","readOnly":false}},"required":["creation_date","id","is_retryable","job_type","permalink_uri","retry_count","status"]}]},"NewReadOnlyPublicJobExecutionResource":{"type":"object"},"Duration":{"type":"number","description":"a length of time in milliseconds"},"CancelStatus":{"type":"string","enum":["REQUESTED","IN_PROGRESS","CANCELED","ABORTED"],"readOnly":false},"JobExecutionPublicStatus":{"type":"string","enum":["PENDING","RUNNING","SUCCEEDED","FAILED","CANCELED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments.external\_feeds\_with\_sessions

> Search every external feed with last feed session that matches the filters given as query string

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments.external_feeds_with_sessions":{"get":{"operationId":"getAudienceSegmentExternalFeedsWithSessions","summary":"Search every external feed with last feed session that matches the filters given as query string","description":"","tags":["Feeds"],"parameters":[{"in":"query","description":"Id of a given community","required":false,"name":"community_id","explode":true,"style":"form","schema":{"type":"integer","format":"int64"}},{"name":"organisation_id","required":false,"in":"query","explode":true,"description":"List of organisation Ids we want to query","schema":{"type":"array","items":{"type":"integer","format":"int64"}},"style":"form"},{"required":false,"explode":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"description":"List of audience segment Ids we want to query","name":"audience_segment_ids","style":"form","in":"query"},{"required":false,"explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentFeedSessionStatus"}},"description":"Status of the audience segments external feeds","style":"form","name":"status","in":"query"},{"explode":true,"style":"form","name":"group_id","description":"Group Ids of the plugins we want to query","schema":{"type":"array","items":{"type":"string"}},"in":"query","required":false},{"name":"artifact_id","explode":true,"schema":{"type":"array","items":{"type":"string"}},"required":false,"description":"Artifact Ids of the plugin we want to query","in":"query","style":"form"},{"description":"Ids of the pluginVersions we want to query","name":"version_id","schema":{"type":"array","items":{"type":"integer","format":"int64"}},"required":false,"explode":true,"style":"form","in":"query"},{"style":"form","schema":{"type":"array","items":{"type":"integer","format":"int64"}},"description":"Ids of the plugin presets we want to query","name":"preset_id","required":false,"explode":true,"in":"query"},{"style":"form","explode":true,"description":"Ids of the destinations we want to query","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"name":"destination_id"},{"style":"form","description":"source type of the audience segment tag feeds (SEGMENT or AUTOMATION)","name":"created_from","explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentFeedSourceType"}},"required":false,"in":"query"},{"in":"query","style":"form","name":"scenario_id","description":"scenario_id of the source scenarios of audience segment tag feeds","explode":true,"schema":{"type":"array","items":{"type":"string"}},"required":false},{"name":"order_by","schema":{"$ref":"#/components/schemas/FeedOrderBy"},"explode":true,"required":false,"in":"query","style":"form","description":"value used for result ordering"},{"name":"administrated","explode":true,"style":"form","in":"query","required":false,"schema":{"type":"boolean"}},{"required":false,"schema":{"type":"integer","format":"int32"},"description":"Offset from which the search must be performed","name":"first_result","in":"query","style":"form","explode":true},{"in":"query","explode":true,"style":"form","schema":{"type":"integer","format":"int32"},"name":"max_results","description":"Number of maximum items that shall be return by this search","required":false},{"required":false,"name":"keywords","explode":true,"schema":{"type":"string"},"in":"query","description":"Filter feeds by feed name, or by the name of the audience segment they are attached to when they were created from a segment (partial match, case insensitive)","style":"form"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ExternalFeedWithSessionResource"}},"status":{"type":"string","enum":["ok"]},"first_result":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"AudienceSegmentFeedSessionStatus":{"type":"string","enum":["INITIAL","BOOTING","INITIAL_LOADING","LIVE","CLOSING","CLOSED"],"readOnly":false},"AudienceSegmentFeedSourceType":{"type":"string","enum":["SEGMENT","AUTOMATION"],"readOnly":false},"FeedOrderBy":{"type":"string","enum":["AUDIENCE_SEGMENT_NAME"],"readOnly":false},"ExternalFeedWithSessionResource":{"type":"object","properties":{"external_feed":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedResource"},"feed_session":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedSessionResource"}},"required":["external_feed","feed_session"]},"AudienceSegmentExternalFeedResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"is_from_clean_room":{"type":"boolean","default":false,"readOnly":true},"destination_audience_deletion_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"created_from":{"$ref":"#/components/schemas/AudienceSegmentFeedSourceType"},"scenario_id":{"type":"string","readOnly":false},"audience_segment_id":{"type":"string","readOnly":true},"artifact_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedStatus"},"reboot_period_in_days":{"type":"integer","format":"int32","default":0,"readOnly":false},"version_id":{"type":"string","readOnly":false},"group_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"plugin_preset_id":{"type":"string","readOnly":false}},"required":["artifact_id","audience_segment_id","created_from","group_id","id","is_from_clean_room","organisation_id","status","version_id"]},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"AudienceSegmentExternalFeedStatus":{"type":"string","enum":["INITIAL","PUBLISHED","ERROR","ACTIVE","PAUSED"],"readOnly":false},"AudienceSegmentExternalFeedSessionResource":{"type":"object","properties":{"sent_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":false},"external_feed_id":{"type":"string","readOnly":true},"live_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"open":{"type":"boolean","default":false,"readOnly":true},"last_live_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"external_feed_version_value":{"type":"string","readOnly":true},"external_feed_version_id":{"type":"string","readOnly":true},"external_feed_group_id":{"type":"string","readOnly":true},"initial_loading_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"audience_segment_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":true},"job_execution_id":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/AudienceSegmentFeedSessionStatus"},"last_batch_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"open_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"external_feed_artifact_id":{"type":"string","readOnly":true}},"required":["audience_segment_id","datamart_id","external_feed_artifact_id","external_feed_group_id","external_feed_id","external_feed_version_id","external_feed_version_value","id","last_batch_ts","last_live_ts","open","open_date","status"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments/{segment\_id}/external\_feeds/{external\_feed\_id}/action

> performs an action on an external feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Mediarithmics most used API","description":"These operations where flagged by mediarithmics teams as most useful."},{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/external_feeds/{external_feed_id}/action":{"post":{"parameters":[{"explode":false,"name":"segment_id","in":"path","style":"simple","schema":{"type":"integer","format":"int64"},"required":true},{"explode":false,"in":"path","schema":{"type":"integer","format":"int64"},"style":"simple","name":"external_feed_id","required":true}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"performExternalFeedAction","tags":["Feeds","Mediarithmics most used API"],"requestBody":{"description":"The action to perform","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MakeAudienceSegmentExternalFeedActionResource"}}},"required":true},"summary":"performs an action on an external feed","description":""}}},"components":{"schemas":{"AudienceSegmentExternalFeedResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"is_from_clean_room":{"type":"boolean","default":false,"readOnly":true},"destination_audience_deletion_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"created_from":{"$ref":"#/components/schemas/AudienceSegmentFeedSourceType"},"scenario_id":{"type":"string","readOnly":false},"audience_segment_id":{"type":"string","readOnly":true},"artifact_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedStatus"},"reboot_period_in_days":{"type":"integer","format":"int32","default":0,"readOnly":false},"version_id":{"type":"string","readOnly":false},"group_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"plugin_preset_id":{"type":"string","readOnly":false}},"required":["artifact_id","audience_segment_id","created_from","group_id","id","is_from_clean_room","organisation_id","status","version_id"]},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"AudienceSegmentFeedSourceType":{"type":"string","enum":["SEGMENT","AUTOMATION"],"readOnly":false},"AudienceSegmentExternalFeedStatus":{"type":"string","enum":["INITIAL","PUBLISHED","ERROR","ACTIVE","PAUSED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"MakeAudienceSegmentExternalFeedActionResource":{"type":"object","properties":{"audience_segment_external_feed_action":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedAction"},"action":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedAction"},"args":{"$ref":"#/components/schemas/PluginInstanceActionArgsResource"},"force_action":{"type":"boolean","default":false,"readOnly":false}},"required":["force_action"]},"AudienceSegmentExternalFeedAction":{"type":"string","enum":["ACTIVATE_EXTERNAL_FEED","REBOOT_EXTERNAL_FEED","STOP_EXTERNAL_FEED","UPGRADE_PLUGIN_INSTANCE","ROLLBACK_PLUGIN_INSTANCE","ROLLFORWARD_PLUGIN_INSTANCE"],"readOnly":false},"PluginInstanceActionArgsResource":{"type":"object","properties":{"plugin_version":{"type":"string","readOnly":false},"plugin_preset":{"type":"string","readOnly":false},"property_resource_overrides":{"type":"array","items":{"$ref":"#/components/schemas/PropertyResource"},"readOnly":false},"selected_identifying_resource_overrides":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false}},"required":["plugin_preset","plugin_version","property_resource_overrides","selected_identifying_resource_overrides"]},"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /audience\_segments/{segment\_id}/tag\_feeds/{feed\_id}/properties/technical\_name={technical\_name}

> Update a property of the specified tag feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/tag_feeds/{feed_id}/properties/technical_name={technical_name}":{"put":{"description":"","requestBody":{"description":"The property's new details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResource"}}},"required":true},"tags":["Feeds"],"operationId":"updateProperty","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PropertyResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Update a property of the specified tag feed","parameters":[{"name":"segment_id","description":"The segment of the tag feed you are interested in","explode":false,"style":"simple","required":true,"in":"path","schema":{"type":"integer","format":"int64"}},{"required":true,"style":"simple","description":"The tag feed holding the properties you want to interact with","in":"path","schema":{"type":"integer","format":"int64"},"name":"feed_id","explode":false},{"name":"technical_name","description":"The name of the property to modify","explode":false,"required":true,"in":"path","schema":{"type":"string"},"style":"simple"},{"required":false,"name":"plugin_version_id","explode":true,"description":"The id of the plugin version you want to interact with","schema":{"type":"integer","format":"int64"},"style":"form","in":"query"}]}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments/{segment\_id}/external\_feeds/{feed\_id}/reboot

> reboots a feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/external_feeds/{feed_id}/reboot":{"post":{"summary":"reboots a feed","parameters":[{"required":true,"explode":false,"style":"simple","in":"path","name":"segment_id","schema":{"type":"integer","format":"int64"}},{"schema":{"type":"integer","format":"int64"},"required":true,"style":"simple","in":"path","explode":false,"name":"feed_id"}],"operationId":"rebootFeed","tags":["Feeds"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedSessionPublicResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"AudienceSegmentExternalFeedSessionPublicResource":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/AudienceSegmentFeedSessionStatus"},"job_execution_id":{"type":"string","readOnly":true},"last_live_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"type":{"$ref":"#/components/schemas/AudienceSegmentFeedType"},"initial_loading_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":false},"external_feed_id":{"type":"string","readOnly":true},"last_batch_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"open_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"live_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"open":{"type":"boolean","default":false,"readOnly":true},"audience_segment_id":{"type":"string","readOnly":true},"sent_date":{"type":"integer","format":"int64","default":0,"readOnly":true},"datamart_id":{"type":"string","readOnly":true}},"required":["audience_segment_id","datamart_id","external_feed_id","id","last_batch_ts","last_live_ts","open","open_date","status","type"]},"AudienceSegmentFeedSessionStatus":{"type":"string","enum":["INITIAL","BOOTING","INITIAL_LOADING","LIVE","CLOSING","CLOSED"],"readOnly":false},"AudienceSegmentFeedType":{"type":"string","enum":["BROAD_TARGETING","CAMPAIGN_ACTIVATION","SCENARIO_ACTIVATION","EXTERNAL","TAG"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments/{segment\_id}/external\_feed\_plugin\_versions/{plugin\_version\_id}/authentication\_status\_queries

> Check if the user can properly authenticate on a feed provider

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Feeds","description":"Operations related to **Feeds** (Audience Segment Feeds), the activation mechanism that synchronizes audience segments with external destinations (DSPs, Social Networks, CRMs) via plugin connectors, performing **initial loading** and continuous **real-time updates** as users enter or leave segments.\n\nRelevant documentation:\n- [Audience segment feed](https://developer.mediarithmics.io/advanced-usages/audiences/audience-segment-feed)\n- [Feeds](https://userguides.mediarithmics.io/activation/feeds)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/external_feed_plugin_versions/{plugin_version_id}/authentication_status_queries":{"post":{"operationId":"queryPluginVersionAuthenticationStatus","parameters":[{"required":true,"explode":false,"in":"path","schema":{"type":"integer","format":"int64"},"style":"simple","name":"segment_id"},{"style":"simple","in":"path","explode":false,"schema":{"type":"integer","format":"int64"},"name":"plugin_version_id","required":true}],"summary":"Check if the user can properly authenticate on a feed provider","tags":["Feeds"],"description":"","requestBody":{"description":"Query resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicLayoutQueryResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceFeedAuthenticationStatusQueryResponseResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"DynamicLayoutQueryResource":{"type":"object","properties":{"properties":{"type":"array","items":{"$ref":"#/components/schemas/PropertyResource"},"readOnly":false},"segment_id":{"type":"string","readOnly":false}},"required":["properties","segment_id"]},"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"AudienceFeedAuthenticationStatusQueryResponseResource":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/AudienceFeedConnectorAuthenticationStatus"},"login_url":{"type":"string","readOnly":false}},"required":["status"]},"AudienceFeedConnectorAuthenticationStatus":{"type":"string","enum":["authenticated","not_authenticated","error","not_implemented"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments/{segment\_id}/external\_feed\_plugin\_versions/{plugin\_version\_id}/dynamic\_property\_values\_queries

> Fetch to the plugin the available properties values. Input properties are the already known ones which give us context.

```json
[...]
